module Compat
       (module Data.Foldable
       , length
       , (<$>)
       )
where

import Prelude hiding (length)
import qualified Prelude as P
import Data.Foldable hiding (maximum, concat, mapM_)
import Control.Applicative


length :: Foldable t => t a -> Int
length = P.length . toList
